XML Service provides XML inspection service which generate an AtlasMap Document object from XML instance or XML schema.
1. Endpoints
1.1. Default
1.1.1. inspect
POST /xml/inspect
Inspect XML
Description
Inspect a XML schema or instance and return a Document object
Parameters
Body Parameter
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
XmlInspectionRequest |
XmlInspectionRequest object XmlInspectionRequest |
- |
Return Type
Content Type
-
application/json
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Return a Document object represented by XmlDocument |
Samples
1.1.2. simpleHelloWorld
GET /xml/simple
Simple
Description
Simple hello service
Parameters
Query Parameters
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
from |
- |
null |
Return Type
Content Type
-
text/plain
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Return a response |
Samples
2. Models
2.1. Action
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
@type |
String |
2.2. Field
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
actions |
List of Action |
||||
value |
Object |
||||
arrayDimensions |
Integer |
int32 |
|||
arraySize |
Integer |
int32 |
|||
collectionType |
Enum: ALL, ARRAY, LIST, MAP, NONE, |
||||
docId |
String |
||||
index |
Integer |
int32 |
|||
path |
String |
||||
required |
Boolean |
||||
status |
Enum: SUPPORTED, UNSUPPORTED, CACHED, ERROR, NOT_FOUND, EXCLUDED, |
||||
fieldType |
Enum: ANY, ANY_DATE, BIG_INTEGER, BOOLEAN, BYTE, BYTE_ARRAY, CHAR, COMPLEX, DATE, DATE_TIME, DATE_TIME_TZ, DATE_TZ, DECIMAL, DOUBLE, FLOAT, INTEGER, LONG, NONE, NUMBER, SHORT, STRING, TIME, TIME_TZ, UNSIGNED_BYTE, UNSIGNED_INTEGER, UNSIGNED_LONG, UNSIGNED_SHORT, UNSUPPORTED, |
||||
format |
String |
||||
name |
String |
||||
jsonType |
X |
String |
2.3. Fields
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
field |
List of Field |
2.4. StringList
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
string |
List of [string] |
2.5. XmlDocument
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
fields |
|||||
xmlNamespaces |
|||||
jsonType |
X |
String |
2.6. XmlInspectionRequest
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
fieldNameExclusions |
|||||
typeNameExclusions |
|||||
namespaceExclusions |
|||||
xmlData |
String |
||||
uri |
String |
||||
type |
Enum: ALL, INSTANCE, SCHEMA, NONE, |
||||
jsonType |
X |
String |
2.7. XmlInspectionResponse
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
xmlDocument |
|||||
errorMessage |
String |
||||
executionTime |
Long |
int64 |
|||
jsonType |
X |
String |
2.8. XmlNamespace
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
alias |
String |
||||
uri |
String |
||||
locationUri |
String |
||||
targetNamespace |
Boolean |
2.9. XmlNamespaces
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
xmlNamespace |
List of XmlNamespace |